import { ComponentProps } from "react";
import Link from "../Link";
import WithChildren from "../WithChildren";
import Text from "./Text";
declare const textPropsToForward: readonly ["color", "underline", "weight", "italic", "children"];
declare type TextPropsToForward = typeof textPropsToForward[number];
interface AsButtonProps {
    asButton: true;
    inline?: boolean;
    handleClick?: () => void;
}
interface AsLinkProps extends ComponentProps<typeof Link> {
    asButton?: false;
}
declare type Props = (AsButtonProps | AsLinkProps) & WithChildren & Pick<ComponentProps<typeof Text>, TextPropsToForward>;
declare const TextLink: (props: Props) => import("@emotion/react/jsx-runtime").JSX.Element;
export default TextLink;
