import { memoize } from "lodash";
import HSLColor from "./HSLColor";
var triadicColors = function (hue) {
    return [hue, hue + 120, hue + 240];
};
var triad = triadicColors(5);
// letters are short for red, orange, yellow, green, blue, purple
var colors = {
    info: triad[2],
    success: triad[2],
    error: 0,
    warning: 45,
    link: triad[2],
    blue: triad[2],
    red: triad[0],
    yellow: triad[1],
};
var saturations = {
    dull: 20,
    mid: 50,
    bright: 95,
};
var lightnesses = {
    dark: 20,
    mid: 50,
    light: 95,
};
var opacities = {
    faint: 0.3,
    mid: 0.7,
    opaque: 1,
};
var color = function (h, s, l, o) {
    if (o === void 0) { o = "opaque"; }
    return new HSLColor(colors[h], saturations[s], lightnesses[l], opacities[o]);
};
var grayscale = function (g) { return new HSLColor(0, 0, (g / 6) * 255); };
function space(x) {
    if (x === void 0) { x = 0; }
    return x * 10;
}
// <Box bg={[]} p={[3, 4]} mt={3} />
export default {
    c: memoize(color),
    g: memoize(grayscale),
    s: memoize(space),
};
